/*
 * #%L
 * EUGene :: EUGene
 * 
 * $Id: ObjectModelModifier.java 1152 2012-06-01 10:51:04Z athimel $
 * $HeadURL: http://svn.nuiton.org/svn/eugene/tags/eugene-2.6/eugene/src/main/java/org/nuiton/eugene/models/object/ObjectModelModifier.java $
 * %%
 * Copyright (C) 2004 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */


package org.nuiton.eugene.models.object;

/**
 * Modifiers that can be used
 *
 * Created: 3 nov. 2009
 *
 * @author fdesbois
 * @version $Revision: 1152 $
 *
 * Mise a jour: $Date: 2012-06-01 12:51:04 +0200 (Fri, 01 Jun 2012) $
 * par : */
public interface ObjectModelModifier {

    // Still present only for backward compatibility. Please use ObjectModelJavaModifier.*
    @Deprecated public static final ObjectModelModifier STATIC = ObjectModelJavaModifier.STATIC;
    @Deprecated public static final ObjectModelModifier FINAL = ObjectModelJavaModifier.FINAL;
    @Deprecated public static final ObjectModelModifier ABSTRACT = ObjectModelJavaModifier.ABSTRACT;
    @Deprecated public static final ObjectModelModifier TRANSIENT = ObjectModelJavaModifier.TRANSIENT;
    @Deprecated public static final ObjectModelModifier PUBLIC = ObjectModelJavaModifier.PUBLIC;
    @Deprecated public static final ObjectModelModifier PROTECTED = ObjectModelJavaModifier.PROTECTED;
    @Deprecated public static final ObjectModelModifier PRIVATE = ObjectModelJavaModifier.PRIVATE;
    @Deprecated public static final ObjectModelModifier PACKAGE = ObjectModelJavaModifier.PACKAGE;

    // Still present only for backward compatibility. Please use ObjectModelUMLModifier.*
    @Deprecated public static final ObjectModelModifier AGGREGATE = ObjectModelUMLModifier.AGGREGATE;
    @Deprecated public static final ObjectModelModifier COMPOSITE = ObjectModelUMLModifier.COMPOSITE;
    @Deprecated public static final ObjectModelModifier UNIQUE = ObjectModelUMLModifier.UNIQUE;
    @Deprecated public static final ObjectModelModifier ORDERED = ObjectModelUMLModifier.ORDERED;
    @Deprecated public static final ObjectModelModifier NAVIGABLE = ObjectModelUMLModifier.NAVIGABLE;

    /**
     * @return true is the current ObjectModelModifier is a Java visibility
     */
    boolean isVisibility();

    /**
     * @return true is the current ObjectModelModifier is an UML association
     * type
     */
    boolean isAssociationType();

    /**
     * @return the name of the constant. This refers to Enum.name().
     */
    String getName();

}
