/*
 * #%L
 * EUGene :: EUGene
 * 
 * $Id: ObjectModelImplSuperClassRef.java 1132 2012-01-05 14:35:09Z echatellier $
 * $HeadURL: http://svn.nuiton.org/svn/eugene/tags/eugene-2.6/eugene/src/main/java/org/nuiton/eugene/models/object/xml/ObjectModelImplSuperClassRef.java $
 * %%
 * Copyright (C) 2004 - 2012 CodeLutin, Chatellier Eric
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.eugene.models.object.xml;

/**
 * Reference to a super class (inheritance relation).
 *
 * A discriminator is the name of the inheritance relation.
 * 
 * Created: 14 janv. 2004
 *
 * @author Cédric Pineau <pineau@codelutin.com>
 * Copyright Code Lutin
 * @version $Revision: 1132 $
 *
 * Last update : $Date: 2012-01-05 15:35:09 +0100 (Thu, 05 Jan 2012) $
 * by : $Author: echatellier $
 */
public class ObjectModelImplSuperClassRef extends ObjectModelImplRef {

    /** Name of the inheritance relation. */
    protected String discrimininator;

    /**
     * Set name of the inheritance relation.
     * 
     * @param discrimininator name of the inheritance relation
     */
    public void setDiscriminator(String discrimininator) {
        this.discrimininator = discrimininator;
    }

    /**
     * Get name of the inheritance relation.
     * 
     * @return name of the inheritance relation
     */
    public String getDiscriminator() {
        return discrimininator;
    }

}
